package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.AccAccountsVo;
import org.dromara.payment.sys.domain.bo.AccAccountsBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 线下银行账户Service接口
 *
 * @author LionLi
 * @date 2024-03-27
 */
public interface IAccAccountsService {

    /**
     * 查询线下银行账户
     */
    AccAccountsVo queryById(Long id);

    /**
     * 查询线下银行账户列表
     */
    TableDataInfo<AccAccountsVo> queryPageList(AccAccountsBo bo, PageQuery pageQuery);

    /**
     * 查询线下银行账户列表
     */
    List<AccAccountsVo> queryList(AccAccountsBo bo);

    /**
     * 新增线下银行账户
     */
    Boolean insertByBo(AccAccountsBo bo);

    /**
     * 修改线下银行账户
     */
    Boolean updateByBo(AccAccountsBo bo);

    /**
     * 校验并批量删除线下银行账户信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
